/*
Theme Name: New Theme
Template: twentytwentyone
Author: Morpho Marketing
Version: 1.0
*/

/*Theme Variables*/
:root {
  /*site colors*/
  --color-1: #348081;
  --color-2: #0a2e4c;
  --color-3: #ebaa3f;
  --gray: rgba(0, 0, 0, 0.5);
  --pink: #ee4d5e;
  --white: white;
  --subtle-white: rgba(255, 255, 255, 0.25);
  --subtle-black: rgba(0, 0, 0, 0.25);
  --accent-bg: #222;
  --accent-hover: #ebaa3f;
  --transluscent: rgba(30, 30, 30, 0.9);
  --bg-gradient: radial-gradient(ellipse at 0 0, #333, #111);

  /*font sizes*/
  --base-font-size: clamp(16px, 1vw, 22px);
  --font-size-xl: 3.75rem;
  --font-size-lg: 2.25rem;
  --font-size-md: 1.5rem;
  --font-size-sm: 1rem;
  --font-size-default: var(--base-font-size); /*ADA requires at least 16px*/

  /*font families*/
  --heading-font: 'Josefin Sans', serif;
  --text-font: 'Josefin Sans', sans-serif;

  --header-height: 60px;
}
@media (max-width: 1000px) {
  :root {
    /*font sizes*/
    --font-size-xl: 2.75rem;
    --font-size-lg: 1.25rem;
    --font-size-md: 1.125rem;
  }
}
@media (max-width: 750px) {
  :root {
    /*font sizes*/
    --font-size-xl: 1.75rem;
  }
}

/*Default Overall Styles*/
html,
body {
  scroll-behavior: smooth;
  font-size: var(--font-size-default);
  font-variant-ligatures: none;
  overflow-anchor: none;
}
body {
  margin: 0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
  font-family: var(--text-font);
  line-height: 1.5em;
  background: var(--bg-gradient);
  color: var(--white);
}
* {
  box-sizing: border-box;
  -webkit-appearance: none;
  font-family: inherit;
  max-width: 100%;
}
/* lazy loading flow fixes */
img {
  object-fit: contain;
  min-width: 1px;
}
img[src=''] {
  visibility: hidden;
}
img[data-url]:before {
  content: '';
  display: block;
  padding-top: 56.25%;
}
a {
  color: var(--white);
  text-decoration: none;
  transition: ease all 0.25s;
}
nav a:hover {
  color: var(--accent-hover);
}
nav a {
  padding: 0.25em 0.5em;
}
article a {
  text-decoration: underline;
  text-underline-position: under;
  text-decoration-thickness: 2px;
}
code,
pre,
kbd,
samp {
  font-family: monospace;
}

/*Font Defaults*/
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--heading-font);
  line-height: 1.25em;
  margin-bottom: 0.5em;
}
body,
p,
ul,
ol,
li {
  font-family: var(--text-font);
  line-height: 1.5em;
}
h1 {
  font-size: var(--font-size-xl);
}
h2 {
  font-size: var(--font-size-lg);
}
h3 {
  font-size: var(--font-size-md);
}
h4 {
  font-size: var(--font-size-sm);
}

p a {
  color: var(--color-3);
}

/*Layout*/
.section-height {
  padding-top: var(--header-height);
  display: flex;
  flex-direction: column;
}

.section-padding {
  padding: 5% 0;
}
.content-width {
  width: 90rem;
  max-width: 100%;
  padding: 0 25px;
  margin: 0 auto;
}
.flex {
  display: flex;
  flex-wrap: wrap;
}

/* ADA header */
.header-main {
  padding: 15px 25px;
  box-shadow: 0 0 6px var(--gray);
  background: var(--bg-gradient);
}
.header-main ul {
  list-style: none;
}
.skip-bar {
  position: absolute;
  display: block;
  width: 100%;
  text-align: center;
  height: 0;
  overflow: hidden;
  background: var(--accent-bg);
  top: 0;
  left: 0;
  z-index: 10;
}
.skip-bar:focus {
  height: auto;
  padding: 20px;
}
.header-inner {
  justify-content: space-between;
  align-items: center;
}

.menus {
  width: 100%;
  justify-content: center;
  padding: 0.5em;
}
.mobile-nav-input {
  display: none;
}
#menu-main {
  padding: 0;
  font-weight: 800;
  text-transform: uppercase;
}

/* Section actions */
.content-positioned {
  position: relative;
  max-width: 100vw;
  overflow: hidden;
  min-height: calc(100vh - var(--header-height));
  overflow: hidden;
  transition: height 0.6s cubic-bezier(0.4, 0, 0.2, 1);
}

.section-action {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  min-height: 100%;
  display: flex;
  align-items: center;

  transform: translateX(100%);
  transition: transform 0.6s cubic-bezier(0.4, 0, 0.2, 1);
  z-index: 1;

  will-change: transform;
}

.section-action.is-active {
  transform: translateX(0);
  z-index: 10;
}

.color-pink {
  color: var(--pink);
}

.wp-block-list {
  margin-top: 2rem;
  list-style: none;
  position: relative;
}

.wp-block-list::after {
  content: '';
  position: absolute;
  width: 2px;
  height: 100%;
  background: var(--pink);
  left: 21px;
  top: 0.5rem;
}

.wp-block-list li {
  margin-bottom: 1.5em;
  position: relative;
}

.wp-block-list li::before {
  content: '';
  position: absolute;
  width: 15px;
  height: 15px;
  background: var(--pink);
  border-radius: 50%;
  left: -25px;
  top: 0.4rem;
}

.wp-block-list li strong {
  font-size: 1.75rem;
}

@media (min-width: 1001px) {
  .header-main {
    position: fixed;
    left: 0;
    width: 100%;
    z-index: 1000;
    top: 0;
  }

  body.admin-bar .header-main {
    top: 32px;
  }
  .mobile-nav {
    display: none;
  }

  #menu-main {
    display: flex;
    margin: 0;
    flex-wrap: wrap;
    justify-content: flex-end;
    gap: 1em;
  }
  #menu-main > li {
    position: relative;
    margin-bottom: 0 !important;
  }
  .sub-menu {
    position: absolute;
    top: 100%;
    left: 0;
    background: var(--transluscent);
    backdrop-filter: blur(5px);
    height: 0;
    overflow: hidden;
    z-index: 1000;
    box-shadow: 0 2px 7px rgba(0, 0, 0, 0.4);
  }
  .sub-menu .sub-menu {
    left: 99%;
    top: 0;
  }
  #menu-main > li:hover > .sub-menu,
  .header-main #menu-main > li > a:focus + .sub-menu,
  .header-main #menu-main > li:focus-within > .sub-menu {
    height: auto;
    padding: 15px 0 15px 15px;
    min-width: 225px;
    overflow: initial;
    border: 1px solid var(--subtle-white);
  }
  .sub-menu > li {
    position: relative;
    padding-right: 15px;
  }
  .sub-menu > li:hover > .sub-menu,
  .sub-menu > li > a:focus + .sub-menu,
  .sub-menu > li:focus-within > .sub-menu {
    padding: 15px;
    width: initial;
    height: initial;
    min-width: 225px;
    border: 1px solid var(--subtle-white);
  }
}

@media (max-width: 1000px) {
  .section-height {
    padding-top: 20px;
    height: auto;
    min-height: calc(100dvh - var(--header-height));
  }

  .header-inner {
    padding: 0;
  }

  .header-main {
    position: relative;
  }

  .header-main a {
    color: var(--color-2);
  }

  .logo-container {
    width: 80%;
  }
  .menus {
    width: 20%;
    justify-content: flex-start;
    padding-left: 0;
  }
  .mobile-nav {
    font-size: 22px;
    transform: scaleX(1.75);
    outline-color: var(--color-1);
  }
  .main-nav {
    position: absolute;
    z-index: 2000;
    top: 100%;
    width: 100%;
    left: 0;
    background: white;
    border-top: 1px solid var(--gray);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.3);
    padding: 0 25px;
    height: 0;
    overflow: hidden;
    transition: padding 0.25s;
  }
  #mobile-nav-input:checked + * + .main-nav {
    height: auto;
    padding: 10px 25px;
  }

  #menu-main {
    display: flex;
    flex-direction: column;
    gap: 15px;
  }

  #menu-main .sub-menu {
    display: none;
  }
  #menu-main li a {
    outline-color: var(--color-1);
  }
  #menu-main .sub-menu {
    display: none;
    transition: ease.3s;
    padding: 0;
  }
  #menu-main .sub-menu.active {
    display: block;
    padding: 15px;
  }
  #menu-main .sub-menu.active li {
    padding: 5px 0;
  }
  .menu-item-has-children {
    position: relative;
  }
  .menu-arrow {
    content: '';
    position: absolute;
    width: 10px;
    height: 10px;
    border-bottom: 2px solid var(--color-1);
    border-right: 2px solid var(--color-1);
    transform: rotate(45deg);
    top: 2px;
    right: 5%;
    transition: ease 0.3s;
  }
  .header-main .sub-menu.active + .menu-arrow {
    transform: rotate(225deg);
  }
  figure img {
    height: auto;
  }
}

/* Forms */
textarea {
  width: 100%;
  height: 150px;
}
input[type='date'],
input[type='datetime-local'],
input[type='datetime'],
input[type='email'],
input[type='month'],
input[type='number'],
input[type='password'],
input[type='search'],
input[type='tel'],
input[type='text'],
input[type='time'],
input[type='url'],
input[type='week'],
select,
textarea {
  margin: 0;
  padding: 1em;
  width: 100%;
  border: 1px solid;
}
input[type='submit'],
button {
  border: none;
  background: var(--color-1);
  padding: 0.5em 1em;
  cursor: pointer;
  font-size: inherit;
}
.gfield_label {
  margin-top: 1em;
  margin-bottom: 0.25em;
  font-weight: 600;
  display: flex;
  gap: 0.25em;
}
.gfield_required {
  font-size: 0.85em;
  color: #c02b0a;
  display: inline-block;
  text-transform: uppercase;
  font-weight: 400;
}
.gfield_label_before_complex {
  display: none;
}
fieldset {
  border: none;
  margin: 0;
  padding: 0;
}
.gchoice {
  display: flex;
  gap: 1em;
  align-items: center;
  margin: 1em 0;
  cursor: pointer;
  width: fit-content;
}
.gchoice input[type='checkbox'] {
  appearance: none;
  color: var(--color-1);
  width: 1.5em;
  height: 1.5em;
  border: 2px solid;
  border-radius: 3px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: ease all 0.25s;
  cursor: inherit;
}
.gchoice input[type='checkbox']::before {
  content: url("data:image/svg+xml,%3Csvg fill='%23FFF' xmlns='http://www.w3.org/2000/svg' viewBox='25 25 50 50'%3E%3Cpath d='m64 985.393-3.531 3.532-16.719 16.718-4.469-3.937-3.75-3.281-6.593 7.53 3.78 3.282 8 7 3.5 3.094 3.313-3.313 20-20 3.531-3.53L64 985.392z' overflow='visible' transform='translate(0 -952.362)'/%3E%3C/svg%3E");
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: ease opacity 0.25s;
}
.gchoice input[type='checkbox']:checked {
  background: var(--color-1);
}
.gchoice input[type='checkbox']:checked::before {
  opacity: 1;
}
label {
  user-select: none;
  cursor: inherit;
}

/* Built In WP Classes */
figure {
  display: inline-block;
  margin: 0;
}
.aligncenter {
  display: block;
  margin: 0 auto;
}
.has-text-align-center {
  text-align: center;
}
.has-text-align-right {
  text-align: right;
}
